<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="date-filter">
  <button
    (click)="appActive = !appActive; appValueChange.emit(dueDateFromSelect.value)"
    [class.openk-info]="appActive"
    class="openk-button openk-chip date-filter--button">
    {{appTitle}}
  </button>
  <div>
    <app-date-control
      #dueDateFromSelect
      (appValueChange)="appActive = true; emitNewValue(dueDateFromSelect.value)"
      class="openk-info">
    </app-date-control>
  </div>
</div>
